#include <stdio.h>
#include <conio.h>
#include <string.h>

int main(void)
{
	int i, aCount = 0, chCounter = 0, br = 0, menjaj[10] = {0};
	char str[20], x[10];
	
	scanf("%s", &str);
	scanf("%s", &x);
	
	for (i = 0; i < strlen(str); i++)
	{
		if(str[i] == 'a')
			{
				aCount++;
				menjaj[i] = 1;
			}
	}
	
	if(aCount >= strlen(x))
	{
		br = aCount - strlen(x) + 1;
		for(i = 0; i < strlen(str); i++)
		{
			if(menjaj[i] == 1 && chCounter < br)
			{
				str[i] = '*';
				chCounter++;
			}				
		}
	}
	
	printf("%d\n", br);
	printf("%s", str);
	
	return 0;
}